Interessant

Habe ich PHP?

Habe ich PHP?


We are searching data for your request:

Forums and discussions:
Manuals and reference books:
Data from registers:
Wait the end of the search in all databases.
Upon completion, a link will appear to access the found materials.

Die meisten Webserver unterstützen heutzutage PHP und MySQL, aber wenn Sie Probleme mit der Ausführung von PHP-Code haben, besteht die Möglichkeit, dass Ihr Webserver dies nicht unterstützt. Um PHP-Skripte auf Ihrer Website ausführen zu können, muss Ihr Webhost PHP / MySQL unterstützen. Wenn Sie sich nicht sicher sind, ob Ihr Host PHP / MySQL unterstützt, können Sie dies herausfinden, indem Sie einen Test ausführen, bei dem Sie ein einfaches Programm hochladen und versuchen, es auszuführen.

Testen auf PHP-Unterstützung

  • Erstellen Sie eine leere Textdatei mit NotePad oder einem anderen Texteditor und rufen Sie sie auf test.php. Die Erweiterung .php am Ende des Dateinamens ist von entscheidender Bedeutung. Es kann nicht .php.html oder .php.txt oder etwas anderes als .php sein.
  • Fügen Sie diesen PHP-Code in die Textdatei ein:
  • Speichern Sie die Datei und laden Sie sie per FTP in das Stammverzeichnis Ihrer Website auf dem Webserver hoch. Der Ordner kann, abhängig von Ihrem Server, public_html oder web root oder ein anderer Name heißen, ist jedoch der Hauptordner für Ihre Website.
  • Gehen Sie in einem Browser zu www.yoursite.com/test.php. Wenn Sie den Code sehen, wie Sie ihn eingegeben haben, kann Ihre Website mit dem aktuellen Host kein PHP ausführen. Wenn Ihr Server PHP unterstützt, wird eine Liste aller vom Host unterstützten PHP / SQL-Eigenschaften angezeigt.

PHP-Versionen

Zu den unterstützten Eigenschaften sollte die Version von PHP gehören, die auf dem Webserver ausgeführt wird. PHP wird gelegentlich aktualisiert und jede neue Version bietet in der Regel bessere Sicherheitspraktiken und neue Funktionen, die Sie nutzen können. Wenn Sie und Ihr Host keine aktuellen, stabilen und kompatiblen PHP-Versionen ausführen, können einige Probleme die Folge sein. Wenn Sie eine aktuellere stabile Version als Ihren Webserver verwenden, müssen Sie möglicherweise einen neuen Webserver suchen.


Schau das Video: PHP Version umstellen Teil 1 - Welche PHP Version habe ich (Kann 2022).